# Struct ethcore_util::kvdb::DatabaseConfig [−] [src]

    pub struct DatabaseConfig {
        pub max_open_files: i32,
        pub cache_sizes: HashMap<Option<u32>, usize>,
        pub compaction: CompactionProfile,
        pub columns: Option<u32>,
        pub wal: bool,
    }

Database configuration

## Fields

`max_open_files: i32`

Max number of open files.

`cache_sizes: HashMap<Option<u32>, usize>`

Cache sizes (in MiB) for specific columns.

`compaction: CompactionProfile`

Compaction profile

`columns: Option<u32>`

Set number of columns

`wal: bool`

Should we keep WAL enabled?

## Methods

### `impl DatabaseConfig`
[src]

#### `fn with_columns(columns: Option<u32>) -> Self`

Create new `DatabaseConfig` with default parameters and specified set of columns. Note that cache sizes must be explicitly set.

#### `fn set_cache(&mut self, col: Option<u32>, size: usize)`

Set the column cache size in MiB.

## Trait Implementations

### `impl Clone for DatabaseConfig`
[src]

#### `fn clone(&self) -> DatabaseConfig`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

### `impl Default for DatabaseConfig`
[src]

#### `fn default() -> DatabaseConfig`

Returns the "default value" for a type. Read more

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)